import {BasicColumn} from '/@/components/Table';
import {FormSchema} from '/@/components/Table';
import { rules} from '/@/utils/helper/validator';
import { render } from '/@/utils/common/renderUtils';
import {JVxeTypes,JVxeColumn} from '/@/components/jeecg/JVxeTable/types'
//列表数据
export const columns: BasicColumn[] = [
   {
    title: '站点id',
    align:"center",
    dataIndex: 'siteId_dictText'
   },
   {
    title: '页面路径',
    align:"center",
    dataIndex: 'url'
   },
   // {
   //  title: '优势标题',
   //  align:"center",
   //  dataIndex: 'advantageTitle'
   // },
   // {
   //  title: '关键词标题',
   //  align:"center",
   //  dataIndex: 'keywordsTitle'
   // },
   // {
   //  title: '关键词系列标题',
   //  align:"center",
   //  dataIndex: 'keywordsSeriesTitle'
   // },
   // {
   //  title: 'faq标题',
   //  align:"center",
   //  dataIndex: 'faqTitle'
   // },
   {
    title: '同步状态',
    align:"center",
    dataIndex: 'status_dictText'
   },
   {
    title: '创建日期',
    align:"center",
    dataIndex: 'createTime'
   },
   {
    title: '更新日期',
    align:"center",
    dataIndex: 'updateTime'
   },
];
//查询数据
export const searchFormSchema: FormSchema[] = [
];
//表单数据
export const formSchema: FormSchema[] = [
  {
    label: '站点id',
    field: 'siteId',
    component: 'JSearchSelect',
    componentProps:{
       dict:"okki_site,company_name,site_id"
    },
    dynamicRules: ({model,schema}) => {
          return [
                 { required: true, message: '请输入站点id!'},
          ];
     },
  },
  {
    label: '页面路径',
    field: 'url',
    component: 'Input',
  },
  // {
  //   label: '优势标题',
  //   field: 'advantageTitle',
  //   component: 'Input',
  //   dynamicRules: ({model,schema}) => {
  //         return [
  //                { required: true, message: '请输入优势标题!'},
  //         ];
  //    },
  // },
  // {
  //   label: '优势内容',
  //   field: 'advantageContent',
  //   component: 'JEditor',
  //   dynamicRules: ({model,schema}) => {
  //         return [
  //                { required: true, message: '请输入优势内容!'},
  //         ];
  //    },
  // },
  // {
  //   label: '优势布局文字对齐方式',
  //   field: 'advantageLayoutAlignment',
  //   component: 'JDictSelectTag',
  //   componentProps:{
  //       dictCode:"layout_alignment"
  //    },
  // },
  // {
  //   label: '优势布局每行列数',
  //   field: 'advantageLayoutColumnsPerRow',
  //   component: 'JDictSelectTag',
  //   componentProps:{
  //       dictCode:"layout_columns_per_row"
  //    },
  // },
  // {
  //   label: '关键词标题',
  //   field: 'keywordsTitle',
  //   component: 'Input',
  //   dynamicRules: ({model,schema}) => {
  //         return [
  //                { required: true, message: '请输入关键词标题!'},
  //         ];
  //    },
  // },
  // {
  //   label: '关键词系列标题',
  //   field: 'keywordsSeriesTitle',
  //   component: 'Input',
  // },
  // {
  //   label: '关键词系列排版结构',
  //   field: 'keywordsSeriesLayoutType',
  //   component: 'JDictSelectTag',
  //   componentProps:{
  //       dictCode:"layout_type"
  //    },
  // },
  // {
  //   label: 'faq标题',
  //   field: 'faqTitle',
  //   component: 'Input',
  //   dynamicRules: ({model,schema}) => {
  //         return [
  //                { required: true, message: '请输入faq标题!'},
  //         ];
  //    },
  // },
	// TODO 主键隐藏字段，目前写死为ID
	{
	  label: '',
	  field: 'id',
	  component: 'Input',
	  show: false
	},
];
//子表单数据
export const okkiOverviewFormSchema: FormSchema[] = [
  // {
  //   label: '概览类型',
  //   field: 'overviewType',
  //   component: 'JDictSelectTag',
  //   componentProps:{
  //       dictCode:"overview_type"
  //    },
  //   dynamicRules: ({model,schema}) => {
  //         return [
  //                { required: true, message: '请输入概览类型!'},
  //         ];
  //    },
  // },
  {
    label: '概览标题',
    field: 'title',
    component: 'Input',
    dynamicRules: ({model,schema}) => {
          return [
                 { required: true, message: '请输入概览标题!'},
          ];
     },
  },
  {
    label: '概览内容',
    field: 'content',
    component: 'JEditor',
    dynamicRules: ({model,schema}) => {
          return [
                 { required: true, message: '请输入概览内容!'},
          ];
     },
  },
  // {
  //   label: '概览图片链接',
  //   field: 'pic',
  //    component: 'JImageUpload',
  //    componentProps:{
  //     },
  // },
  // {
  //   label: '按钮文字',
  //   field: 'buttonName',
  //   component: 'Input',
  //   dynamicRules: ({model,schema}) => {
  //         return [
  //                { required: true, message: '请输入按钮文字!'},
  //         ];
  //    },
  // },
  // {
  //   label: '按钮跳转链接',
  //   field: 'buttonUrl',
  //   component: 'Input',
  //   dynamicRules: ({model,schema}) => {
  //         return [
  //                { required: true, message: '请输入按钮跳转链接!'},
  //         ];
  //    },
  // },
	{
	  label: '',
	  field: 'id',
	  component: 'Input',
	  show: false
	},
];
export const okkiFaqFormSchema: FormSchema[] = [
  {
    label: 'faq标题',
    field: 'title',
    component: 'Input',
  },
];
export const okkiProductListFormSchema: FormSchema[] = [
  // {
  //   label: '产品列表类型',
  //   field: 'productListType',
  //   component: 'JDictSelectTag',
  //   componentProps:{
  //       dictCode:"product_list_type"
  //    },
  //   dynamicRules: ({model,schema}) => {
  //         return [
  //                { required: true, message: '请输入产品列表类型!'},
  //         ];
  //    },
  // },
  {
    label: '标题',
    field: 'title',
    component: 'Input',
  },
  {
    label: '商品列表',
    field: 'pidList',
    component: 'JSearchSelect',
    dynamicRules: ({model,schema}) => {
          return [
                 { required: true, message: '请选择商品!'},
          ];
     },
  },
  // {
  //   label: '商品分类sid',
  //   field: 'sid',
  //   component: 'InputNumber',
  // },
	{
	  label: '',
	  field: 'id',
	  component: 'Input',
	  show: false
	},
];
export const okkiAdvantageListFormSchema: FormSchema[] = [
  // {
  //   label: '产品列表类型',
  //   field: 'productListType',
  //   component: 'JDictSelectTag',
  //   componentProps:{
  //       dictCode:"product_list_type"
  //    },
  //   dynamicRules: ({model,schema}) => {
  //         return [
  //                { required: true, message: '请输入产品列表类型!'},
  //         ];
  //    },
  // },
  {
    label: '优势标题',
    field: 'advantage_title',
    component: 'Input',
  },
  {
    label: '优势内容',
    field: 'advantage_content',
    component: 'JEditor',
    dynamicRules: ({model,schema}) => {
      return [
        { required: true, message: '请输入优势内容!'},
      ];
    },
  },
  // {
  //   label: '商品分类sid',
  //   field: 'sid',
  //   component: 'InputNumber',
  // },
  {
    label: '',
    field: 'id',
    component: 'Input',
    show: false
  },
];
export const okkiRecommendedProductsFormSchema: FormSchema[] = [
  {
    label: '类型',
    field: 'productListType',
    component: 'JDictSelectTag',
    componentProps:{
        dictCode:"product_list_type"
     },
  },
  {
    label: '标题',
    field: 'title',
    component: 'Input',
  },
  // {
  //   label: '字幕',
  //   field: 'subtitles',
  //   component: 'Input',
  // },
  {
    label: '商品pid',
    field: 'pidList',
    component: 'Input',
    dynamicRules: ({model,schema}) => {
          return [
                 { required: true, message: '请输入商品pid!'},
          ];
     },
  },
  // {
  //   label: '商品分类sid',
  //   field: 'sid',
  //   component: 'InputNumber',
  // },
	{
	  label: '',
	  field: 'id',
	  component: 'Input',
	  show: false
	},
];
export const okkiShowlistBlogFormSchema: FormSchema[] = [
  {
    label: '标题',
    field: 'title',
    component: 'Input',
  },
  {
    label: '文字对齐方式',
    field: 'layoutAlignment',
    component: 'JDictSelectTag',
    componentProps:{
        dictCode:"layout_alignment"
     },
  },
  {
    label: '每行列数',
    field: 'layoutColumnsPerRow',
    component: 'JDictSelectTag',
    componentProps:{
        dictCode:"layout_columns_per_row"
     },
  },
  {
    label: '博客列表',
    field: 'blogList',
    component: 'Input',
  },
	{
	  label: '',
	  field: 'id',
	  component: 'Input',
	  show: false
	},
];
//子表表格配置
export const okkiAdvantageColumns: JVxeColumn[] = [
    {
      title: '组件标题',
      key: 'blockTitle',
      type: JVxeTypes.input,
      width:"200px",
      placeholder: '请输入${title}',
      defaultValue:'',
        validateRules: [
          { required: true, message: '${title}不能为空' },
        ],
    },
    {
      title: '组件内容',
      key: 'blockContent',
      type: JVxeTypes.textarea,
      width:"200px",
      placeholder: '请输入${title}',
      defaultValue:'',
        validateRules: [
          { required: true, message: '${title}不能为空' },
        ],
    },
    {
      title: '组件图片',
      key: 'blockPic',
      type: JVxeTypes.image,
      token:true,
      responseName:"message",
      width:"200px",
      placeholder: '请输入${title}',
      defaultValue:'',
        validateRules: [
          { required: true, message: '${title}不能为空' },
        ],
    },
    // {
    //   title: '按钮文字',
    //   key: 'buttonName',
    //   type: JVxeTypes.input,
    //   width:"200px",
    //   placeholder: '请输入${title}',
    //   defaultValue:'',
    // },
    // {
    //   title: '按钮跳转链接',
    //   key: 'buttonUrl',
    //   type: JVxeTypes.input,
    //   width:"200px",
    //   placeholder: '请输入${title}',
    //   defaultValue:'',
    // },
  ]
export const okkiKeywordsColumns: JVxeColumn[] = [
    {
      title: '关键词名',
      key: 'keywordListName',
      type: JVxeTypes.textarea,
      width:"200px",
      placeholder: '请输入${title}',
      defaultValue:'',
        validateRules: [
          { required: true, message: '${title}不能为空' },
        ],
    },
    {
      title: '关键词链接',
      key: 'keywordListLinkUrl',
      type: JVxeTypes.selectSearch,
      dictCode:"okki_showlist,url,url",
      width:"200px",
      placeholder: '请输入${title}',
      defaultValue:'',
        validateRules: [
          { required: true, message: '${title}不能为空' },
        ],
    },
  ]
export const okkiFaqColumns: JVxeColumn[] = [
    {
      title: '问题',
      key: 'question',
      type: JVxeTypes.input,
      width:"200px",
      placeholder: '请输入${title}',
      defaultValue:'',
    },
    {
      title: '答案',
      key: 'answer',
      type: JVxeTypes.input,
      width:"200px",
      placeholder: '请输入${title}',
      defaultValue:'',
    },
  ]

// 高级查询数据
export const superQuerySchema = {
  siteId: {title: '站点id',order: 0,view: 'number', type: 'number',dictTable: "okki_site", dictCode: 'site_id', dictText: 'company_name',},
  url: {title: '页面路径',order: 1,view: 'text', type: 'string',},
  advantageTitle: {title: '优势标题',order: 2,view: 'text', type: 'string',},
  keywordsTitle: {title: '关键词标题',order: 6,view: 'text', type: 'string',},
  keywordsSeriesTitle: {title: '关键词系列标题',order: 7,view: 'text', type: 'string',},
  faqTitle: {title: 'faq标题',order: 9,view: 'text', type: 'string',},
  status: {title: '同步状态',order: 10,view: 'number', type: 'number',},
  createTime: {title: '创建日期',order: 11,view: 'datetime', type: 'string',},
  updateTime: {title: '更新日期',order: 12,view: 'datetime', type: 'string',},
  //子表高级查询
  okkiOverview: {
    title: '概览',
    view: 'table',
    fields: {
        overviewType: {title: '概览类型',order: 0,view: 'number', type: 'number',},
        title: {title: '概览标题',order: 1,view: 'text', type: 'string',},
        content: {title: '概览内容',order: 2,view: 'textarea', type: 'string',},
        pic: {title: '概览图片链接',order: 3,view: 'image', type: 'string',},
        buttonName: {title: '按钮文字',order: 4,view: 'text', type: 'string',},
        buttonUrl: {title: '按钮跳转链接',order: 5,view: 'text', type: 'string',},
    }
  },
  okkiProductList: {
    title: '产品',
    view: 'table',
    fields: {
        productListType: {title: '产品列表类型',order: 0,view: 'number', type: 'number',},
        title: {title: '标题',order: 1,view: 'text', type: 'string',},
        subtitles: {title: '字幕',order: 2,view: 'text', type: 'string',},
        pidList: {title: '商品pid',order: 3,view: 'text', type: 'string',},
        sid: {title: '商品分类sid',order: 4,view: 'number', type: 'number',},
    }
  },
  okkiAdvantage: {
    title: '优势',
    view: 'table',
    fields: {
        blockTitle: {title: '组件标题',order: 0,view: 'text', type: 'string',},
        blockContent: {title: '组件内容',order: 1,view: 'textarea', type: 'string',},
        blockPic: {title: '组件图片',order: 2,view: 'image', type: 'string',},
        // buttonName: {title: '按钮文字',order: 3,view: 'text', type: 'string',},
        // buttonUrl: {title: '按钮跳转链接',order: 4,view: 'text', type: 'string',},
    }
  },
  okkiRecommendedProducts: {
    title: '推荐商品列表',
    view: 'table',
    fields: {
        productListType: {title: '类型',order: 0,view: 'number', type: 'number',},
        title: {title: '标题',order: 1,view: 'text', type: 'string',},
        subtitles: {title: '字幕',order: 2,view: 'text', type: 'string',},
        pidList: {title: '商品pid',order: 3,view: 'text', type: 'string',},
        sid: {title: '商品分类sid',order: 4,view: 'number', type: 'number',},
    }
  },
  okkiKeywords: {
    title: '关键词',
    view: 'table',
    fields: {
        keywordListName: {title: '关键词名',order: 0,view: 'textarea', type: 'string',},
        keywordListLinkUrl: {title: '关键词链接',order: 1,view: 'text', type: 'string',},
    }
  },
  okkiFaq: {
    title: '常见问题',
    view: 'table',
    fields: {
        question: {title: '问题',order: 0,view: 'text', type: 'string',},
        answer: {title: '答案',order: 1,view: 'text', type: 'string',},
    }
  },
  okkiShowlistBlog: {
    title: '博客',
    view: 'table',
    fields: {
        title: {title: '标题',order: 0,view: 'text', type: 'string',},
        layoutAlignment: {title: '文字对齐方式',order: 1,view: 'number', type: 'number',},
        layoutColumnsPerRow: {title: '每行列数',order: 2,view: 'number', type: 'number',},
        blogList: {title: '博客列表',order: 3,view: 'text', type: 'string',},
    }
  },
};
